<?php include('casa/setup.casa.php');
$CodigoTraspaso = DataForms::GET('id');
include('inc_scripts.php');
$title = 'Traspaso de Productos';
echo "<title>".AppName.' - '.$title."</title>";

$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi, inventarios_traspasos tras
WHERE tras.prod_codigo = prod.prod_codigo
AND prod.ubica_codigo = ubi.ubica_codigo	
AND tras.traspa_codigo = '$CodigoTraspaso';";	
$db= new DB();
$db->dbSQL($sql);
$db->next();					
	$ubica_codigo_prod = $db->dbField('ubica_codigo');
	$ubica_nombre_origen = $db->dbField('ubica_nombre');
	
	$prod_item = $db->dbField('prod_item');
	$prod_codigo = $db->dbField('prod_codigo');
	$prod_nombre = utf8_encode($db->dbField('prod_nombre'));
	$prod_foto = $db->dbField('prod_foto');
		if(($prod_foto=='')or($prod_foto=='vacio')) $prod_foto = 'vacio.png';
	$prod_piezascaja = $db->dbField('prod_piezascaja');
	$prod_cantidadcajas = $db->dbField('prod_cantidadcajas');
	$prod_preciounitario = $db->dbField('prod_preciounitario');
	$prod_preciodocena = $db->dbField('prod_preciodocena');
	$prod_preciocajadocena = $db->dbField('prod_preciocajadocena');
	$prod_unidadesreal = $db->dbField('prod_unidadesreal');
	$prod_fecha = $db->dbField('prod_fecha');
	$CantidadRealCajas = number_format($prod_unidadesreal / $prod_piezascaja,0);															

?>

<style>
th{background:#1269DB;
color:white;
text-align:center;
text-transform:uppercase;}	
</style>
</head>
<body>
	<div class="wrapper">
	<?php include('inc_menu.php');?>

		<div class="main-panel">
			<div class="content">
				
				<div class="page-inner">						
				<div class="row">
						<div class="col-md-12">
						<form>
							<div class="card">
								<div class="card-header">
									<div class="card-title"><?php echo $title?></div>
								</div>
								<div class="card-body">
									<div class="row">										
										<div class="col-md-6 col-lg-6">
											<div class="form-group form-group-default">
												<label>Ubicación Origen:</label>
												<div class="form-control">														
													<?php echo $ubica_nombre_origen ?>
												</div>
											</div>																																		
										</div>	
										<div class="col-md-6 col-lg-6">											
											<div class="form-group form-group-default">
												<label>Ubicación Destino:</label>
												<select id="cmbUbicaciones" class="form-control" style="text-align:left">
															<option value="">Listado de Ubicaciones</option>
<?php
$sqlUbicaciones = "SELECT * FROM inventarios_ubicaciones;";
$Ubicaciones = new DB();
$Ubicaciones->dbSQL($sqlUbicaciones);
$html = "";
	while($Ubicaciones->next()){
		$ubica_codigo = $Ubicaciones->dbField('ubica_codigo');
		$ubica_nombre = $Ubicaciones->dbField('ubica_nombre');		
			$html.='<option value="'.$ubica_codigo.'">'.$ubica_nombre.'</option>';																
	}//wend() 

echo utf8_encode($html);
?>															
																														
												</select>
											</div>																							
										</div>
																												
									</div>
<div id='CarritoTras'>
<div class="table-responsive">
<table class="display table table-striped table-hover">
											<thead>
												<tr>													
													<th>descripción</th>
													<th>stock</th>
													<th>requerido</th>
												</tr>
											</thead>											
											<tbody>
											<?php
											$sql = "SELECT * FROM inventarios_productos prod, inventarios_traspasos tras
											WHERE prod.prod_codigo = tras.prod_codigo
											AND tras.traspa_codigo = '$CodigoTraspaso';";	
											$db= new DB();
											$db->dbSQL($sql);
											$html='';
											$i=0;
											$total = 0;
											while($db->next()){						
											$i++;																																				
											//datos trapasos												
											$traspa_id = $db->dbField('traspa_id');
											$traspa_codigo = $db->dbField('traspa_codigo');
											$ubica_codigo = $db->dbField('ubica_codigo');
											$prod_codigo = $db->dbField('prod_codigo');
											$prod_cantidad = $db->dbField('prod_cantidad');
											$traspa_usid = $db->dbField('traspa_usid');					
											//productos
											$prod_id = $db->dbField('prod_id');
											$prod_item = $db->dbField('prod_item');
											$prod_nombre = $db->dbField('prod_nombre');
											$prod_piezascaja = $db->dbField('prod_piezascaja');
											$prod_cantidadcajas = $db->dbField('prod_cantidadcajas');
											$prod_unidadesreal = $db->dbField('prod_unidadesreal');
											$CantidadRealCajas = number_format($prod_unidadesreal / $prod_piezascaja,0);															


												$html.='<tr>';
													$html.='<td>
													<b>Producto: </b>'.$prod_nombre.'<br>
													<b>Item: </b>'.$prod_item.'<br>													
													</td>';
													$html.='<td align=right>'.$CantidadRealCajas.'</td>';										
													$html.='<td align=right>'.$prod_cantidad.'</td>';																							
												$html.='</tr>';											
												
											}//wend() 																						
											echo utf8_encode($html);
											?>													
											</tbody>
										</table>										
</div>		
</div>		
								</div>
								<div class="card-action"><center>
									<div id='res'></div>
									<a href='<?php echo PATH_HOME.'traspasos/ver'; ?>' class="btn btn-danger"><b> CANCELAR </b></a>
									<button class="btn btn-info" type='submit'><b> GUARDAR TRASPASO </b></button>	</center>								
								</div>
							</div>
						</form>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		
		
	</div>
</body>
</html>
<script>
$('form').on('submit', function(event) {
  event.preventDefault();

  $.post('<?php echo PATH_HOME.'traspasos-almacen2/'. md5(uniqid()); ?>',{
	 'CodigoTraspaso': '<?php echo $CodigoTraspaso; ?>',
	 'cmbUbicaciones': $('#cmbUbicaciones').val(), 	 	 
    'MxEncoder': '<?php echo sha1(uniqid()); ?>'
  },function(data){
    $('#res').html(data);
  });  
});
$(document).ready(function(){
 <?php //echo "$('#CarritoTras').load('".PATH_HOME.'traspasos-carrito/'.$CodigoTraspaso."&rnd=".uniqid()."');"; ?>
});
</script>